%Projekt: RocketSim

%Funktion plot_gravitationsfeld
%Berechnet und plottet Gravitationsfelder fuer
%eingegebene Planetendaten
function [h, g] = plot_gravitationsfeld(gam, m, r, x, y)

h = linspace(r, r*5, 10);
%g = gam*m./(h).^2;

colstep = 0.5/length(h);

phi = linspace(0, 2*pi, 80);

for i = 1:length(h)
    xc = x + h(i)*cos(phi);
    yc = y + h(i)*sin(phi);
    
    plot(xc, yc, ':',  'Color',[0.5-i*colstep, 0.5-i*colstep, 0.5-i*colstep]);
end

end